Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSSADD

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.vss.MSVSS
                        |
                        +--org.apache.tools.ant.taskdefs.optional.vss.MSVSSADD

All Implemented Interfaces:
  MSVSSConstants

public class MSVSSADD
extends MSVSS

Performs Add commands to Microsoft Visual SourceSafe.

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`MSVSS.CurrentModUpdated, MSVSS.WritableFiles`

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Fields inherited from interface org.apache.tools.ant.taskdefs.optional.vss.MSVSSConstants
`COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_BRIEF, FLAG_CODEDIFF, FLAG_COMMENT, FLAG_FILETIME_DEF, FLAG_FILETIME_MODIFIED, FLAG_FILETIME_UPDATED, FLAG_LABEL, FLAG_LOGIN, FLAG_NO_FILE, FLAG_NO_GET, FLAG_OUTPUT, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_REPLACE_WRITABLE, FLAG_SKIP_WRITABLE, FLAG_USER, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, SS_EXE, STYLE_BRIEF, STYLE_CODEDIFF, STYLE_DEFAULT, STYLE_NOFILE, TIME_CURRENT, TIME_MODIFIED, TIME_UPDATED, VALUE_FROMDATE, VALUE_FROMLABEL, VALUE_NO, VALUE_YES, WRITABLE_FAIL, WRITABLE_REPLACE, WRITABLE_SKIP`

Constructor Summary
`MSVSSADD()`

Method Summary
`protected Commandline` | `buildCmdLine()` Builds a command line to execute ss.
`protected java.lang.String` | `getLocalpath()` Returns the local path without the flag.; required
`void` | `setAutoresponse(java.lang.String response)` Autoresponce behaviour.
`void` | `setComment(java.lang.String comment)` Comment to apply to files added to SourceSafe.
`void` | `setLocalpath(Path localPath)` Override the project working directory.
`void` | `setRecursive(boolean recursive)` Add files recursively.
`void` | `setWritable(boolean writable)` Unset the READ-ONLY flag on local copies of files added to VSS.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS
`execute, getAutoresponse, getComment, getFileTimeStamp, getGetLocalCopy, getLabel, getLogin, getOutput, getQuiet, getRecursive, getSSCommand, getStyle, getUser, getVersion, getVersionDate, getVersionDateLabel, getVersionLabel, getVsspath, getWritable, getWritableFiles, setFailOnError, setInternalAutoResponse, setInternalComment, setInternalDate, setInternalDateFormat, setInternalFailOnError, setInternalFileTimeStamp, setInternalFromDate, setInternalFromLabel, setInternalGetLocalCopy, setInternalLabel, setInternalLocalPath, setInternalNumDays, setInternalOutputFilename, setInternalQuiet, setInternalRecursive, setInternalStyle, setInternalToDate, setInternalToLabel, setInternalUser, setInternalVersion, setInternalWritable, setInternalWritableFiles, setLogin, setServerpath, setSsdir, setVsspath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSVSSADD

    public MSVSSADD()

Method Detail

### buildCmdLine

    protected Commandline buildCmdLine()

  Builds a command line to execute ss.

  Overrides:
    `buildCmdLine` in class `MSVSS`
  Returns:
    The constructed commandline.

### getLocalpath

    protected java.lang.String getLocalpath()

  Returns the local path without the flag.; required

  Overrides:
    `getLocalpath` in class `MSVSS`
  Returns:
    The local path value.
  To do:
    See why this returns the local path without the flag.

### setRecursive

    public void setRecursive(boolean recursive)

  Add files recursively. Defaults to false.

  Parameters:
    `recursive` - The boolean value for recursive.

### setWritable

    public final void setWritable(boolean writable)

  Unset the READ-ONLY flag on local copies of files added to VSS. Defaults to false.

  Parameters:
    `writable` - The boolean value for writable.

### setAutoresponse

    public void setAutoresponse(java.lang.String response)

  Autoresponce behaviour. Valid options are Y and N.

  Parameters:
    `response` - The auto response value.

### setComment

    public void setComment(java.lang.String comment)

  Comment to apply to files added to SourceSafe.

  Parameters:
    `comment` - The comment to apply in SourceSafe

### setLocalpath

    public void setLocalpath(Path localPath)

  Override the project working directory.

  Parameters:
    `localPath` - The path on disk.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.